<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce/Templates
 * @version     3.9.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $related_products ) :

$prefix = configurator_get_prefix();

// Customize value
$title = get_theme_mod( $prefix.'related_product_title', esc_html__( 'Other styles you might like', 'configurator' ) );
$sub_title = get_theme_mod( $prefix.'related_product_sub_title', esc_html__( 'Select and customize', 'configurator' ) );
$style = get_theme_mod( $prefix.'related_product_style', 'product-grid' ); // product-grid, product-list
$column = get_theme_mod( $prefix.'related_product_column', 'col2' ); // col2, col3, col4

?>

	<section class="related products <?php echo esc_attr( $style .' '. $column ); ?>">

		<h2 class="related-title"><?php echo esc_html( $title ); ?></h2>		
		<p class="tagline"><?php echo esc_html( $sub_title ); ?></p>
		
		<?php woocommerce_product_loop_start(); ?>

			<?php foreach ( $related_products as $related_product ) : ?>

					<?php
					$post_object = get_post( $related_product->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object ); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found

					wc_get_template_part( 'content', 'product' );
					?>

			<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>

	</section>
	<?php
endif;

wp_reset_postdata();
