/*
 * jQuery One Page Nav Plugin
 * http://github.com/davist11/jQuery-One-Page-Nav
 *
 * Copyright (c) 2010 Trevor Davis (http://trevordavis.net)
 * Dual licensed under the MIT and GPL licenses.
 * Uses the same license as jQuery, see:
 * http://jquery.org/license
 *
 * @version 3.0.0
 *
 * Example usage:
 * $('#nav').onePageNav({
 *   currentClass: 'current',
 *   changeHash: false,
 *   scrollSpeed: 750
 * });
 */

(function(d,c,a,e){var b=function(g,f){this.elem=g;this.$elem=d(g);this.options=f;this.metadata=this.$elem.data("plugin-options");this.$win=d(c);this.sections={};this.didScroll=false;this.$doc=d(a);this.docHeight=this.$doc.height()};b.prototype={defaults:{navItems:"a",currentClass:"current",changeHash:false,easing:"swing",filter:"",scrollSpeed:750,scrollThreshold:0.5,begin:false,end:false,scrollChange:false},init:function(){this.config=d.extend({},this.defaults,this.options,this.metadata);this.$nav=this.$elem.find(this.config.navItems);if(this.config.filter!==""){this.$nav=this.$nav.filter(this.config.filter)}this.$nav.on("click.onePageNav",d.proxy(this.handleClick,this));this.getPositions();this.bindInterval();this.$win.on("resize.onePageNav",d.proxy(this.getPositions,this));return this},adjustNav:function(f,g){f.$elem.find("."+f.config.currentClass).removeClass(f.config.currentClass);g.addClass(f.config.currentClass)},bindInterval:function(){var g=this;var f;g.$win.on("scroll.onePageNav",function(){g.didScroll=true});g.t=setInterval(function(){f=g.$doc.height();if(g.didScroll){g.didScroll=false;g.scrollChange()}if(f!==g.docHeight){g.docHeight=f;g.getPositions()}},250)},getHash:function(f){return f.attr("href").split("#")[1]},getPositions:function(){var h=this;var i;var g;var f;h.$nav.each(function(){i=h.getHash(d(this));f=d("#"+i);if(f.length){g=f.offset().top;h.sections[i]=Math.round(g)}})},getSection:function(i){var f=null;var h=Math.round(this.$win.height()*this.config.scrollThreshold);for(var g in this.sections){if((this.sections[g]-h)<i){f=g}}return f},handleClick:function(j){var g=this;var f=d(j.currentTarget);var i=f.parent();var h="#"+g.getHash(f);if(!i.hasClass(g.config.currentClass)){if(g.config.begin){g.config.begin()}g.adjustNav(g,i);g.unbindInterval();g.scrollTo(h,function(){if(g.config.changeHash){c.location.hash=h}g.bindInterval();if(g.config.end){g.config.end()}})}j.preventDefault()},scrollChange:function(){var h=this.$win.scrollTop();var f=this.getSection(h);var g;if(f!==null){g=this.$elem.find('a[href$="#'+f+'"]').parent();if(!g.hasClass(this.config.currentClass)){this.adjustNav(this,g);if(this.config.scrollChange){this.config.scrollChange(g)}}}},scrollTo:function(f,h){var g=d(f).offset().top;d("html, body").animate({scrollTop:g},this.config.scrollSpeed,this.config.easing,h)},unbindInterval:function(){clearInterval(this.t);this.$win.unbind("scroll.onePageNav")}};b.defaults=b.prototype.defaults;d.fn.onePageNav=function(f){return this.each(function(){new b(this,f).init()})}})(jQuery,window,document);(function(d,b,f){var e=b.Modernizr,c=d("body");d.DLMenu=function(g,h){this.$el=d(h);this._init(g)};d.DLMenu.defaults={animationClasses:{classin:"dl-animate-in-1",classout:"dl-animate-out-1"},onLevelClick:function(h,g){return false},onLinkClick:function(g,h){return false}};d.DLMenu.prototype={_init:function(h){this.options=d.extend(true,{},d.DLMenu.defaults,h);this._config();var g={WebkitAnimation:"webkitAnimationEnd",OAnimation:"oAnimationEnd",msAnimation:"MSAnimationEnd",animation:"animationend"},i={WebkitTransition:"webkitTransitionEnd",MozTransition:"transitionend",OTransition:"oTransitionEnd",msTransition:"MSTransitionEnd",transition:"transitionend"};this.animEndEventName=g[e.prefixed("animation")]+".dlmenu";this.transEndEventName=i[e.prefixed("transition")]+".dlmenu",this.supportAnimations=e.cssanimations,this.supportTransitions=e.csstransitions;this._initEvents()},_config:function(){this.open=false;this.$trigger=this.$el.children(".dl-trigger");this.$menu=this.$el.children("ul.dl-menu");this.$menuitems=this.$menu.find("li:not(.dl-back)");this.$el.find("ul.dl-submenu").prepend('<li class="dl-back"><a href="#">back</a></li>');this.$back=this.$menu.find("li.dl-back")},_initEvents:function(){var g=this;this.$trigger.on("click.dlmenu",function(){if(g.open){g._closeMenu()}else{g._openMenu()}return false});this.$menuitems.on("click.dlmenu",function(j){j.stopPropagation();var i=d(this),h=i.children("ul.dl-submenu");if(h.length>0){var l=h.clone().css("opacity",0).insertAfter(g.$menu),k=function(){g.$menu.off(g.animEndEventName).removeClass(g.options.animationClasses.classout).addClass("dl-subview");i.addClass("dl-subviewopen").parents(".dl-subviewopen:first").removeClass("dl-subviewopen").addClass("dl-subview");l.remove()};setTimeout(function(){l.addClass(g.options.animationClasses.classin);g.$menu.addClass(g.options.animationClasses.classout);if(g.supportAnimations){g.$menu.on(g.animEndEventName,k)}else{k.call()}g.options.onLevelClick(i,i.children("a:first").text())});return false}else{g.options.onLinkClick(i,j)}});this.$back.on("click.dlmenu",function(j){var k=d(this),i=k.parents("ul.dl-submenu:first"),h=i.parent(),m=i.clone().insertAfter(g.$menu);var l=function(){g.$menu.off(g.animEndEventName).removeClass(g.options.animationClasses.classin);m.remove()};setTimeout(function(){m.addClass(g.options.animationClasses.classout);g.$menu.addClass(g.options.animationClasses.classin);if(g.supportAnimations){g.$menu.on(g.animEndEventName,l)}else{l.call()}h.removeClass("dl-subviewopen");var n=k.parents(".dl-subview:first");if(n.is("li")){n.addClass("dl-subviewopen")}n.removeClass("dl-subview")});return false})},closeMenu:function(){if(this.open){this._closeMenu()}},_closeMenu:function(){var g=this,h=function(){g.$menu.off(g.transEndEventName);g._resetMenu()};this.$menu.removeClass("dl-menuopen");this.$menu.addClass("dl-menu-toggle");this.$trigger.removeClass("dl-active");if(this.supportTransitions){this.$menu.on(this.transEndEventName,h)}else{h.call()}this.open=false},openMenu:function(){if(!this.open){this._openMenu()}},_openMenu:function(){var g=this;c.off("click").on("click.dlmenu",function(){g._closeMenu()});this.$menu.addClass("dl-menuopen dl-menu-toggle").on(this.transEndEventName,function(){d(this).removeClass("dl-menu-toggle")});this.$trigger.addClass("dl-active");this.open=true},_resetMenu:function(){this.$menu.removeClass("dl-subview");this.$menuitems.removeClass("dl-subview dl-subviewopen")}};var a=function(g){if(b.console){b.console.error(g)}};d.fn.dlmenu=function(h){if(typeof h==="string"){var g=Array.prototype.slice.call(arguments,1);this.each(function(){var i=d.data(this,"dlmenu");if(!i){a("cannot call methods on dlmenu prior to initialization; attempted to call method '"+h+"'");return}if(!d.isFunction(i[h])||h.charAt(0)==="_"){a("no such method '"+h+"' for dlmenu instance");return}i[h].apply(i,g)})}else{this.each(function(){var i=d.data(this,"dlmenu");if(i){i._init()}else{i=d.data(this,"dlmenu",new d.DLMenu(h,this))}})}return this}})(jQuery,window);